
    $(document).ready(function(){
        $("#calender").click(function(){
        
           
           $(".spindis").show();
            var fromd = $("#input_from").val();
            var tod = $("#input_to").val();
            var customer = $("#customer").val();
            var product = $("#product").val();
            var customertype = $("#customertype").val();
            //alert(product);
            if(customer =="0" && product == "01" && customertype =="0")
            {
            $.ajax({
           type:'POST',
           url:'ajaxpathreport/salesreportdate_est.php',
           data:{customer:customer,tod:tod,fromd:fromd,product:product},
           success:function(a){
           //  alert(a);
            // $("#showquantity-with-color").css("display","block");
             $("#fullreport").html(a);
             //alert(a);
             $("#input_from").val("");
            $("#input_to").val("");
            $("#customer").val(null).trigger('change');
            $("#product").val(null).trigger('change');
          }
                       });
            //alert('hai');
            $("#modaldis").click();
                   }
                   // customerajax
                   if(customer !="0" && product == "01" && customertype =="0")
                   {
                       $.ajax({
                           type:'POST',
                           url:'ajaxpathreport/salesreportcustomerdate_est.php',
                           data:{customer:customer,tod:tod,fromd:fromd,product:product},
                           success:function(a){
                           //  alert(a);
                            // $("#showquantity-with-color").css("display","block");
                             $("#fullreport").html(a);
                             //alert(a);
                             $("#input_from").val("");
                            $("#input_to").val("");
                            $("#customer").val(null).trigger('change');
                            $("#product").val(null).trigger('change');
                          }
                                       });
                            //alert('hai');
                            $("#modaldis").click();
                           
                   }
       // customerajax
       // productajax
       if(customer =="0" && product != "01" && customertype =="0")
       {
           $.ajax({
               type:'POST',
               url:'ajaxpathreport/salesreportproductdate_est.php',
               data:{customer:customer,tod:tod,fromd:fromd,product:product},
               success:function(a){
               //  alert(a);
                // $("#showquantity-with-color").css("display","block");
                 $("#fullreport").html(a);
                 //alert(a);
                 $("#input_from").val("");
                $("#input_to").val("");
                $("#customer").val(null).trigger('change');
                $("#product").val(null).trigger('change');
              }
                           });
                //alert('hai');
                $("#modaldis").click();
               
       }
       // productajax
       //$("#customer").focus();
       // customerproajax
       if(customer !="0" && product != "01" && customertype =="0")
       {
           $.ajax({
               type:'POST',
               url:'ajaxpathreport/salesreportproductcusdate_est.php',
               data:{customer:customer,tod:tod,fromd:fromd,product:product},
               success:function(a){
               //  alert(a);
                // $("#showquantity-with-color").css("display","block");
                 $("#fullreport").html(a);
                 //alert(a);
                 $("#input_from").val("");
                $("#input_to").val("");
                $("#customer").val(null).trigger('change');
                $("#product").val(null).trigger('change');
                
              }
                           });
                //alert('hai');
                $("#modaldis").click();
       
               
       }
       // customerproajax
       // customertypeajax
       if(customer =="0" && product == "01" && customertype !="0")
       {
           $.ajax({
               type:'POST',
               url:'ajaxpathreport/salesreportcustypedate_est.php',
               data:{customer:customer,tod:tod,fromd:fromd,product:product,customertype:customertype},
               success:function(a){
               //  alert(a);
                // $("#showquantity-with-color").css("display","block");
                 $("#fullreport").html(a);
                 //alert(a);
                 $("#input_from").val("");
                $("#input_to").val("");
                $("#customer").val(null).trigger('change');
                $("#product").val(null).trigger('change');
                
              }
                           });
                //alert('hai');
                $("#modaldis").click();
       
               
       }
       // customertypeajax
        });
           });
       
       
        